<?//посадить все
if(isset($_GET['f_myfarm']) && isset($_GET['seat_all']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'"),0)!=0 && $ku['seeder_f']>0)
{
echo '<div class="event"><h1>Магазин мальков</h1></div>';
echo "<div class='content'>";
echo "<div class='block'>";
if($ku['last_plant_f']!=0)
{
$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_fish` WHERE `id` = '$ku[last_plant_f]'"));

$cg=mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0'"),0);

$mon=($plant['cena']/100)*$seeder_f_act_skid;

$money=floor($plant['cena']-$mon);
$sc=$money*$cg;
$rat=$plant['rating'];
$rat_sc_act=0;
$rat_drakon_act=0;
$rat_seeder_f_act=0;
$rat_school_act=0;
if(isset($drakon_act))$rat_drakon_act=(($plant['rating']/100)*300);
if(isset($seeder_f_act))$rat_seeder_f_act=(($rat/100)*$seeder_f_act);
if(isset($school_act))$rat_school_act=$rat/2;
if(isset($shmel_act))$rat_seeder_f_act=$rat_seeder_f_act*2;
$ratt=$rat+$rat_drakon_act+$rat_sc_act+$rat_seeder_f_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;


if($ku['money']>=$sc)
{
$q=mysql_querll("SELECT * FROM `kolhoz_ground_f` WHERE `id_user` = '$ku[id]' AND `id_plant` = '0' AND `cultivator` = '1'");
$orat=0;
while($post=mysql_fetch_array($q))
{
$orat=$rat+$orat;
mysql_querll("UPDATE `kolhoz_ground_f` SET `id_plant` = '$plant[id]', `time_soil` = '".($time+$plant['time_soil'])."', `time_water` = '".($time+120)."', `soil` = '0', `time` = '".($plant['time']+$time)."' WHERE `id` = '$post[id]' LIMIT 1");
}

mysql_querll("UPDATE `kolhoz_user` SET `money` = '".($ku['money']-$sc)."' WHERE `id` = '$ku[id]'");

mysql_querll("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$orat)."' WHERE `id` = '$ku[id]'");

update_mc($orat);
$_SESSION['rating']=$orat;
}
else
{
$_SESSION['no_money']=$sc-$ku['money'];
}


header("Location:?f_myfarm&".passgen());
exit;
}
else
{
if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_fish` WHERE `id` = '".intval($_GET['select'])."' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
{
$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_fish` WHERE `id` = '".intval($_GET['select'])."'"));
mysql_querll("UPDATE `kolhoz_user` SET `last_plant_f` = '$plant[id]' WHERE `id` = '$ku[id]'");
header("Location:?f_myfarm&seat_all");
exit;
}
$k_post = mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_fish`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_querll("SELECT * FROM `kolhoz_fish` ORDER BY `level` ASC LIMIT $start, $set[p_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='images/fish/$post[id].png' alt='o' class='portrait'>";
echo "<div class='small'>";
echo "".($ku['level']>=$post['level']?"<a href='?f_myfarm&seat_all&select=$post[id]'>":null)."<span>".hsc($post['name'])."</span>".($ku['level']>=$post['level']?"</a>":null)." <span class='minor'>, ".($ku['level']>=$post['level']?"цена: </span><span><img width='16' height='16' src='images/icons/money.png' alt='o'><span class='title'>$post[cena]</span></span>":"доступно с $post[level] уровня</span>")."</div><div class='small minor'> Время роста: <span class='title'>".time_left($post['time'])."</span>, Время до удобрения: <span class='title'>".time_left($post['time_soil'])."</span><br>Доход: <img width='16' height='16' src='images/icons/money.png' alt='o'> <span>$post[money]</span>,
Опыт: <img width='16' height='16' src='images/icons/experience.png' alt='o'> <span>$post[rating]</span>,
Улов: <span>$post[count]</span> <span>шт.</span></div></li>";
}
echo "</ul>";
if ($k_page>1)str("?f_myfarm&seat_all&",$k_page,$page); // Вывод страниц
}
//echo "</div>";
include_once 'inc/foot.php';
}
?>